"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.command = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _lodash = _interopRequireDefault(require("lodash.partial"));

var _as = require("./as");

var _makeTestEnvironment = require("./make-test-environment");

var _shouldProduceEvent = require("./should-produce-event");

var _shouldThrow = require("./should-throw");

var _withSecretsManager = require("./with-secrets-manager");

var command = function command(context, name, payload) {
  var command = {
    name: name,
    payload: payload
  };
  var commandContext = (0, _extends2["default"])({}, context, {
    command: command,
    environment: (0, _makeTestEnvironment.makeTestEnvironment)((0, _extends2["default"])({}, context, {
      command: command
    }))
  });
  return Object.assign(commandContext.environment.promise, {
    as: (0, _lodash["default"])(_as.as, commandContext),
    withSecretsManager: (0, _lodash["default"])(_withSecretsManager.withSecretsManager, commandContext),
    setSecretsManager: (0, _lodash["default"])(_withSecretsManager.setSecretsManager, commandContext),
    shouldProduceEvent: (0, _lodash["default"])(_shouldProduceEvent.shouldProduceEvent, commandContext),
    shouldThrow: (0, _lodash["default"])(_shouldThrow.shouldThrow, commandContext)
  });
};

exports.command = command;
//# sourceMappingURL=command.js.map