import { OmitFirstArgument, TestEvent } from '../types';
import { aggregate } from './aggregate/aggregate';
import { readModel } from './read-model/read-model';
import { saga } from './saga/saga';
declare type GivenEventsNode = {
    aggregate: OmitFirstArgument<typeof aggregate>;
    readModel: OmitFirstArgument<typeof readModel>;
    saga: OmitFirstArgument<typeof saga>;
} & PromiseLike<never>;
export declare const givenEvents: (events?: TestEvent[]) => GivenEventsNode;
export {};
